PENGADIAN EMAS - Bug #15946

[UAT] [Android] [Android Screen Scaling - Global] Ul Issue ###10058
13 March 2023 01:19 PM - yap chekying

Status: Closed Start date: 13 March 2023
Priority: Normal Due date:

Assignee: yap chekying % Done: 0%

Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Issue:

Inconsistent text scaling across devices. Plus, all text or display size is too big

Expectation:
Please adjust the display and text sizes matching the XD design

Note:
Based on our last meeting with Aiman, we will using scaling engine/code to resolve this issues, starting with most important screens

in Gold Module

you can access the list of the important screens here
https://digital-wealth-mbi.invisionapp.com/freehand/Emas-Priority-Screens-Jrd80V3WP?dsid_h=879cb7e85b89078e69{710af1a4125
72cbb164f7535deb3cf857eb8077586418&uid_h=0ddc6ee39cdb9ec622261277691375bd172d02c9f351bb87535f143242f24c5e

here is also the source for the scaling engine/code
https://github.com/intuit/sdp
History

#2 - 21 March 2023 12:08 PM - aiman baharum

Commit hash for devs.

All commits will be pushed to remote on dev/global_font_scale branch for testing.

Global config changes:

- library dependency & base for sdp library implementation
806b1b5a74fd83dc1dceadf9a54605c16e5283e9

- bottom button
https://digital-wealth-mbi.invisionapp.com/freehand/Emas-Priority-Screens-Jr480V3WP?dsid_h=879cb7e85b89078e69f710af1a412572cbb164f7535deb3cf857eb8077586418&uid_h=0ddc6ee39cdb9ec622261277691375bd172d02c9f351bb87535f143242f24c5e
https://digital-wealth-mbi.invisionapp.com/freehand/Emas-Priority-Screens-Jr480V3WP?dsid_h=879cb7e85b89078e69f710af1a412572cbb164f7535deb3cf857eb8077586418&uid_h=0ddc6ee39cdb9ec622261277691375bd172d02c9f351bb87535f143242f24c5e
https://github.com/intuit/sdp

0aa%9ada595404859ff404c56e642c838d0b52f99

- textview
0aa9ada595404859ff404c56e642¢c838d0b52f99

- custom dialog
498360a04b07a664a805d5a2618676054b59¢c39f

Emas screen changes:

- emas dashboard + chart dialog (dashboard)
806b1b5a74fd83dc1dceadf9a54605c16e5283e9

- transaction detail (dashboard)
cdbd6b79442566bd3ec523dcabf2929f9cedaad6

- confirmation screen (reg, buy, sell)
b7936753b08bbcc8285d84baa4e5039a657ff613

- acknowledgement screen (reg, buy, sell)
9da66cf5b34e80c34c7638e4ef99840281739bas

- emas input screen (reg, buy, sell)
6aa331e23f02d9f021086483877d0866afb12ab7

- emas register info (reg)
feb5dc0ab47a45e451f16a627d1e0c1b5fedd1cd

- tnc screen (reg, buy)
0f39b6181f7b5b1ea001db1015947c486b181f80

- personal info confirmation screen (reg)
1b35425902de9a222cc07cd32dad7ac24b30422f

- SOF screen (reg, buy, sell)
6217eda5b3d74413428b626595d8ca141842d928

Direct Debit

- detail/history
b38d35dcd1527092ba36f9568ec1dcf28dd665db

- listing
5d1254a2e448fb71e2fa5541d9eda5ce03ab72ed
#3 - 22 March 2023 12:04 PM - aiman baharum

- Assignee changed from aiman baharum to yap chekying

#4 - 18 April 2023 03:46 PM - yap chekying

- Status changed from New to Closed

Closed by UAT tester
